System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.CollectionBase System.Runtime.InteropServices.ComVisible(true)

This class provides a collection that can contain objects.

Represents a collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This is a default empty collection constructor.

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified array of objects.

  A array that indicates the verbs to contain within the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds the specified to the collection.

  The index in the collection at which the verb was added.

  The to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds the specified set of designer verbs to the collection.

  An array of objects to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds the specified collection of designer verbs to the collection.

  A to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Gets a value indicating whether the specified exists in the collection.

  true if the specified object exists in the collection; otherwise, false.

  The to search for in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the collection members to the specified array beginning at the specified destination index.

  The array to copy collection members to. The destination index to begin copying to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Gets the index of the specified .

  The index of the specified object if it is found in the list; otherwise, -1.

  The whose index to get in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Inserts the specified at the specified index.

  The index in the collection at which to insert the verb. The to insert in the collection.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.DesignerVerb `` To be added: an object of type 'int' To be added To be added: an object of type 'DesignerVerb' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Inheritors can override this method to add behavior for the Clear event.

  Raises the Clear event.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Inheritors can override this method to add behavior for the Insert event.

  Raises the Insert event.

  The index at which to insert an item. The object to insert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Inheritors can override this method to add behavior for the Remove event.

  Raises the Remove event.

  The index at which to remove the item. The object to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  Inheritors can override this method to add behavior for the Set event.

  Raises the Set event.

  The index at which to set the item. The old object. The new object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Inheritors can override this method to add behavior for the Validate event.

  Raises the Validate event.

  The object to validate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes the specified from the collection.

  The to remove from the collection.